#!/usr/bin/env python

"""
Moin wiki format tools.

Copyright (C) 2017, 2018 Paul Boddie <paul@boddie.org.uk>

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public License along with
this program.  If not, see <http://www.gnu.org/licenses/>.
"""

from moinformat.parsers import parse, parsers as all_parsers
from moinformat.serialisers import serialise, serialisers as all_serialisers

def get_serialiser(name):

    "Return the main serialiser for the format having the given 'name'."

    return all_serialisers["%s.moin" % name]

# vim: tabstop=4 expandtab shiftwidth=4
